Word Counter API
Count words, characters, sentences and paragraphs, with reading time.
POST /api/v1/tools/word-counterMCP word_counterText & WritingCount words, characters, sentences and paragraphs as you type, with reading and speaking time estimates. Free, private and works with any language.
Input
Send these as a JSON object. Unknown fields are rejected.
- input
- The text. (string, required)
curl https://pithlab.com/api/v1/tools/word-counter \n -H "Authorization: Bearer $PITHLAB_KEY" \n -H "Content-Type: application/json" \n -d '{"input":"PithLab has small tools. Each one does one job well."}'Example response
{
"ok": true,
"result": {
"words": 10,
"characters": 52,
"charactersNoSpaces": 43,
"sentences": 2,
"paragraphs": 1,
"lines": 1,
"readingMinutes": 0.04201680672268908,
"speakingMinutes": 0.07692307692307693
}
}